org.apache.lucene.benchmark.byTask.tasks

## Class SearchWithCollectorTask

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.PerfTask
  - - org.apache.lucene.benchmark.byTask.tasks.ReadTask
    - - org.apache.lucene.benchmark.byTask.tasks.SearchTask
      - - org.apache.lucene.benchmark.byTask.tasks.SearchWithCollectorTask

- All Implemented Interfaces:
    Cloneable

      public class SearchWithCollectorTask
      extends SearchTask

  Does search w/ a custom collector

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `clnName`

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

      `logStep, NEW_LINE, params, stopNow`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchWithCollectorTask(PerfRunData runData)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Collector` | `createCollector()`
    `QueryMaker` | `getQueryMaker()` Return query maker used for this task.
    `void` | `setup()` Task setup work that should not be measured for that specific task.
    `boolean` | `withCollector()`
    `boolean` | `withRetrieve()` Return true if, with search and results traversing, docs should be retrieved.
    `boolean` | `withSearch()` Return true if search should be performed.
    `boolean` | `withTraverse()` Return true if, with search, results should be traversed.
    `boolean` | `withWarm()` Return true if warming should be performed.

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.ReadTask

      `doLogic, getBenchmarkHighlighter, getFieldsToHighlight, getSort, numHits, numToHighlight, retrieveDoc, traversalSize, withMaxScore, withScore`

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

      `clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setParams, setRunInBackground, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, supportsParams, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### clnName

          protected String clnName

  - ### Constructor Detail

    - #### SearchWithCollectorTask

          public SearchWithCollectorTask(PerfRunData runData)

  - ### Method Detail

    - #### setup

          public void setup()
                     throws Exception

      Description copied from class: `PerfTask`
      Task setup work that should not be measured for that specific task. By default it does nothing, but tasks can implement this, moving work from `PerfTask.doLogic()` to this method. Only the work done in `PerfTask.doLogic()` is measured for this task. Notice that higher level (sequence) tasks containing this task would then measure larger time than the sum of their contained tasks.
      Overrides:
        `setup` in class `ReadTask`
      Throws:
        `Exception`

    - #### withCollector

          public boolean withCollector()

      Overrides:
        `withCollector` in class `ReadTask`

    - #### createCollector

          protected Collector createCollector()
                                       throws Exception

      Overrides:
        `createCollector` in class `ReadTask`
      Throws:
        `Exception`

    - #### getQueryMaker

          public QueryMaker getQueryMaker()

      Description copied from class: `ReadTask`
      Return query maker used for this task.
      Overrides:
        `getQueryMaker` in class `SearchTask`

    - #### withRetrieve

          public boolean withRetrieve()

      Description copied from class: `ReadTask`
      Return true if, with search and results traversing, docs should be retrieved.
      Overrides:
        `withRetrieve` in class `SearchTask`

    - #### withSearch

          public boolean withSearch()

      Description copied from class: `ReadTask`
      Return true if search should be performed.
      Overrides:
        `withSearch` in class `SearchTask`

    - #### withTraverse

          public boolean withTraverse()

      Description copied from class: `ReadTask`
      Return true if, with search, results should be traversed.
      Overrides:
        `withTraverse` in class `SearchTask`

    - #### withWarm

          public boolean withWarm()

      Description copied from class: `ReadTask`
      Return true if warming should be performed.
      Overrides:
        `withWarm` in class `SearchTask`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.